// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers','starter.services','angularCSS'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }

    if( ionic.Platform.isAndroid() )  { 
       admobid = { // for Android
          banner: 'ca-app-pub-6969770818025324/7712896240' // Change this to your Ad Unit Id for banner...
       };

       if(AdMob) 
          AdMob.createBanner( {
             adId:admobid.banner, 
             position:AdMob.AD_POSITION.BOTTOM_CENTER, 
             autoShow:true
          } );
    }
  });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider,$translateProvider) {


  $ionicConfigProvider.navBar.alignTitle("center");
  $ionicConfigProvider.scrolling.jsScrolling(false);

/*Configuramos la ubicacion de los Archivos Json*/
    $translateProvider.useStaticFilesLoader({
    prefix: 'js/data-',
    suffix: '.json'
    });
/*Idioma por defecto*/
$translateProvider.preferredLanguage('es');


  $stateProvider

    .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })

  .state('app.idioma', {
    url: '/idioma',
    views: {
      'menuContent': {
        templateUrl: 'templates/idioma.html'
      }
    }
  })

  .state('app.campeones', {
      url: '/campeones',
      views: {
        'menuContent': {
          templateUrl: 'templates/campeones.html',
          controller: 'CampeonesCtrl'
        }
      }
    })

  .state('app.soporte', {
      url: '/soporte',
      views: {
        'menuContent': {
          templateUrl: 'templates/soporte.html',
          controller:'SoporteCtrl'
        }
      }
    })

    .state('app.home', {
      url: '/home',
      views: {
        'menuContent': {
          templateUrl: 'templates/home.html',
          controller: 'HomeCtrl'
        }
      }
    })

        .state('app.favoritos', {
      url: '/favoritos',
      views: {
        'menuContent': {
          templateUrl: 'templates/favoritos.html',
          controller: 'FavoritosCtrl',
          }
      }
    })

  .state('app.single', {
    url: '/home/:id',
    views: {
      'menuContent': {
        templateUrl: 'templates/equipo.html',
        controller: 'EquipoCtrl'
      }
    }
  });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/home');
});
