    angular.module('starter.controllers', ['ng', 'pascalprecht.translate'])

    .controller('AppCtrl', function($scope, $ionicModal, $timeout,$translate,
      $rootScope,$ionicLoading,equipoDetalleFactory,$css) {

      // With the new view caching in Ionic, Controllers are only called
      // when they are recreated or on app start, instead of every page change.
      // To listen for when this page is active (for example, to refresh data),
      // listen for the $ionicView.enter event:
      //$scope.$on('$ionicView.enter', functi on(e) {
      //});

      // Form data for the login modal
      $scope.loginData = {};
      $scope.photoPath="grandes";
      $scope.actualTheme="modoDiurnoTheme";
      $scope.showNocturno=false;

      /*Metodo que cambiara el tema a Modo Nocturno*/
      $scope.changeTheme=function(theme){
        if(theme==$scope.actualTheme){
          console.log("Ya estamos en ese theme.")
          return;
        }

        if(theme=="modoNocturnoTheme"){
          $css.bind({ 
             href: 'css/styleDark.css'
         }, $scope);
          /*Variable que contiene el nombre de las fotos a cargar segun el Theme*/
         $scope.photoPath="grandes_noche";
        console.log("El tema ahora es de noche");
        $scope.actualTheme="modoNocturnoTheme";
        $scope.showNocturno=true;

        /*Desactivar Admobpro*/
        AdMob.hideBanner();

        } else 

        if(theme=="modoDiurnoTheme"){
           // Simply remove stylesheet(s)
            $css.remove(['css/styleDark.css']);
           $css.bind({ 
             href: 'css/style.css'
         }, $scope);
          /*Variable que contiene el nombre de las fotos a cargar segun el Theme*/
         $scope.photoPath="grandes";
         console.log("El tema ahora es de dia");
         $scope.actualTheme="modoDiurnoTheme";
         $scope.showNocturno=false;

         /*Activar Ads*/
         AdMob.showBanner(AdMob.AD_POSITION.BOTTOM_CENTER);
        
        }
        /*Broadcast que avisa que el tema ha sido cambiado*/
        $rootScope.$broadcast('onThemeChanged',theme);
         console.log($scope.photoPath);
      }

          


      /*Metodo invocado desde el menu.html cuando se cambia el idioma. Contiene el lang.*/
       $scope.changeLanguage = function changeLangFn(langKey) {
        console.log("Changing language to "+langKey);
        $translate.use(langKey);
        // Enviar un broadcast a los demas controladores avisando del cambio de idioma.
         $rootScope.$broadcast('ChangingLanguage',langKey);
      };

       


      /*Mensaje Espontaneo para indicar que se añadio a el equipo a Favoritos.*/
       $scope.showFavoriteLoading = function() {
        var favoriteAdded=equipoDetalleFactory.getEquipo().nombre+' '+$translate.instant('favoritosDoneTag');
      $ionicLoading.show({
        template: favoriteAdded,
        duration:2000
      }).then(function(){
         console.log("Favorite Added");
      });
    };

          /*Mensaje Espontaneo para indicar que se añadio a el equipo a Favoritos.*/
       $scope.showFavoriteDeletedLoading = function() {
        var favoriteDeleted=equipoDetalleFactory.getEquipo().nombre+' '+$translate.instant('favoritosDeletedTag');
      $ionicLoading.show({
        template: favoriteDeleted,
        duration:2000
      }).then(function(){
         console.log("Favorite Deleted");
      });
    };


    })

    .controller('HomeCtrl', ['$scope', '$http', '$state','$translate','$rootScope','equiposFactory','favoriteFactory','$ionicListDelegate','$ionicLoading',
     function($scope, $http, $state,$translate,$rootScope,equiposFactory,favoriteFactory, $ionicListDelegate,$ionicLoading) {

                  $scope.photoPath=$scope.$parent.photoPath;
                $scope.inputColor="background:#eee";

                   $rootScope.$on('onThemeChanged',function(event,theme){
                    /*Se actualiza el idioma*/
                     /*Variable que contiene el nombre de las fotos a cargar segun el Theme*/
                     $scope.photoPath=$scope.$parent.photoPath;
                     console.log("onThemeChanged: "+$scope.photoPath)

                     if(theme=="modoNocturnoTheme"){
                      $scope.inputColor="background:#313131 ";
                    
                     }else{
                   $scope.inputColor="background:#eee";
                     }
                     
                     
                     console.log($scope.inputColor);

                   });


                /*Metodo para cargar los equipos en $scope.usuarios*/
                var cargarEquipos=function(lang){
                    equiposFactory.getEquipos(lang).success(function(data){
                    $scope.usuarios=data.equipos;
                   });
                };

              /*Por defecto cargar la data en español*/
                cargarEquipos('es');
              
                
              /*Cuando se recibe el broadcast de cambio de Idioma, se carga la data del Json correspondiente*/
                 $rootScope.$on('ChangingLanguage',function(event,message){
                    cargarEquipos(message);
                });

              /*Metodo para agregar a favoritos*/
                   $scope.addFavorite = function (index) {
                  console.log("index is " + index);
                  // Actualizar el servicio de favoritos
                  favoriteFactory.addToFavorites(index);
                  // Cerrar los botones de opciones
                  $ionicListDelegate.closeOptionButtons();
                  // Informar al usuario que ha sido agregado con exito.
                  $scope.showFavoriteLoading(index);
                  }

                  /*Mensaje Espontaneo para indicar que se añadio a el equipo a Favoritos.*/
                   $scope.showFavoriteLoading = function(index) {
                    var favoriteAdded=$translate.instant('equipos.'+index+'.nombre')+' '+$translate.instant('favoritosDoneTag');
                  $ionicLoading.show({
                    template: favoriteAdded,
                    duration:1500
                  }).then(function(){
                     console.log("The loading indicator is now displayed");
                  });
                };

                  /*Mensaje Espontaneo para indicar que se Elimino a el equipo a Favoritos.*/
                   $scope.showFavoriteDeletedLoading = function(index) {
                    var favoriteDeleted=$translate.instant('equipos.'+index+'.nombre')+' '+$translate.instant('favoritosDeletedTag');
                  $ionicLoading.show({
                    template: favoriteDeleted,
                    duration:1500
                  }).then(function(){
                     console.log("The loading indicator is now displayed");
                  });
                };


                 
     
    }])

    .controller('EquipoCtrl', ['$scope', '$sce','$ionicPopover','favoriteFactory','equipoDetalleFactory','$rootScope', function($scope, $sce,$ionicPopover,favoriteFactory,equipoDetalleFactory,$rootScope) { 
        $scope.photoPath=$scope.$parent.photoPath;

       $rootScope.$on('onThemeChanged',function(theme){

                    /*Se actualiza el tema*/
                     /*Variable que contiene el nombre de las fotos a cargar segun el Theme*/
                     $scope.photoPath=$scope.$parent.photoPath;
                     console.log("onThemeChanged: "+$scope.photoPath)
                   });

      /*En services.js esta la data de los equipos.*/
        $scope.data=equipoDetalleFactory.getEquipo();

    /*Se abre esta plantilla al invocar el popover.*/
        $ionicPopover.fromTemplateUrl('templates/equipo-popover.html', {
                  scope: $scope
                }).then(function(popover) {
                  $scope.popover = popover;
                });

          /*Metodo invocado cuando se presionan el menu de opciones*/
                $scope.openPopover = function($event) {
                  $scope.popover.show($event);
                };
           
           /*Cerrar el menu de opciones*/
                $scope.closePopover = function() {
                  $scope.popover.hide();
                };

           /*Agregar a favoritos*/
                 $scope.addFavorite = function (index) {
                    $scope.$parent.showFavoriteLoading();
                    // console.log("index is " + index);
                    favoriteFactory.addToFavorites(index);
                    $scope.closePopover();
                  
                    
                    
                  };

              /*Metodo para Borrar favoritos*/
                 $scope.deleteFavorite=function(index){
                   $scope.$parent.showFavoriteDeletedLoading();
                  $scope.closePopover();
                 favoriteFactory.deleteFromFavorites(index);
                
                  
                  
              }

              /*Metodo que verifica si el equipo ya es Favorito*/
                  $scope.checkFavorite=function(index){
                favoriteFactory.getFavorites();
                return favoriteFactory.checkFavorite(index);
              }

    }])

    .controller('SoporteCtrl', ['$scope','$translate','$rootScope', function($scope,$translate,$rootScope) {
      /*Carga la data de soportInfo al cargar la App*/
    $scope.soporteInfo=$translate.instant('soporteInfo');

    /*Carga la data Json de soporteInfo al haber un cambio de Idioma*/
     $rootScope.$on('ChangingLanguage',function(event,message){
     $scope.soporteInfo=$translate.instant('soporteInfo');
      });


      }])

    .controller('FavoritosCtrl', ['$scope','favoriteFactory','equiposFactory','$rootScope','$window',
     function($scope,favoriteFactory,equiposFactory,$rootScope,$window) {

               $rootScope.$on('onThemeChanged',function(event,theme){
                    /*Se actualiza el idioma*/
                     /*Variable que contiene el nombre de las fotos a cargar segun el Theme*/
                     $scope.photoPath=$scope.$parent.photoPath;
                     console.log("onThemeChanged: "+$scope.photoPath)
                   });
               
               /*Lenguaje por defecto*/
               var lang='es';
               /*Obtenemos los ids de favoritos. Se usan en el filtro.*/
                $scope.favoritos=favoriteFactory.getFavorites();
                /*Se obtiene los equipos del json.*/
                equiposFactory.getEquipos(lang).success(function(data){
                      $scope.equipos=data.equipos;
                  });



                /*Cuando se recibe el broadcast de cambio de Idioma, se actualiza la data del Json correspondiente*/
                 $rootScope.$on('ChangingLanguage',function(event,message){
                    /*Se actualiza el idioma*/
                    lang=message;
                    $scope.favoritos=favoriteFactory.getFavorites();
                    equiposFactory.getEquipos(lang).success(function(data){
                      $scope.equipos=data.equipos;
                      });
                });
              
             

              $rootScope.$on('$stateChangeSuccess',function(lang){
                /*Actualizar valores al cambiar de estado*/
                  $scope.favoritos=favoriteFactory.getFavorites();
                  equiposFactory.getEquipos(lang).success(function(data){
                      $scope.equipos=data.equipos;
                      });
              })

              /*Metodo para Borrar favoritos*/
              $scope.deleteFavorite=function(index){
                console.log("Borrando");
                favoriteFactory.deleteFromFavorites(index);
                  $scope.toggleDelete();
              }

              /*Metodo para invocar al boton de borrar de favoritos*/
              $scope.toggleDelete=function(){
                $scope.shouldShowDelete=!$scope.shouldShowDelete;
                console.log($scope.shouldShowDelete);
              }






      }])


    .controller('CampeonesCtrl', function($scope) {
      $scope.groups = [];
      
      $scope.groups = [
        { name: '2015', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Campeonato de Primera División: Boca Juniors' }]},
        { name: '2014', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Torneo Final: River Plate' }, { subName: 'SubBubbles1', subId: 'Torneo Inicial: Racing Club' }]},
        { name: '2013', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Torneo Final: Newell´s Old Boys' }, { subName: 'SubBubbles1', subId: 'Campeón del Campeonato de Primera División 2012/13: Vélez Sarsfield' }, { subName: 'SubBubbles1', subId: 'Torneo Inicial: San Lorenzo de Almagro' }]},
        { name: '2012', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Arsenal F.C.' }, { subName: 'SubBubbles1', subId: 'Torneo Inicial: Vélez Sarsfield' }]},
        { name: '2011', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Vélez Sársfield' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '2010', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Argentinos Juniors' }, { subName: 'SubBubbles1', subId: 'Apertura: Estudiantes de La Plata' }]},
        { name: '2009', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Vélez Sársfield' }, { subName: 'SubBubbles1', subId: 'Apertura: Bánfield' }]},
        { name: '2008', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: River Plate' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '2007', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: San Lorenzo de Almagro' }, { subName: 'SubBubbles1', subId: 'Apertura: Lanús' }]},
        { name: '2006', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Boca Juniors' }, { subName: 'SubBubbles1', subId: 'Apertura: Estudiantes de La Plata' }]},
        { name: '2005', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Vélez Sarsfield' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '2004', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: River Plate' }, { subName: 'SubBubbles1', subId: 'Apertura: Newell´s Old Boys' }]},
        { name: '2003', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: River Plate' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '2002', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: River Plate' }, { subName: 'SubBubbles1', subId: 'Apertura: Independiente' }]},
        { name: '2001', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: San Lorenzo de Almagro' }, { subName: 'SubBubbles1', subId: 'Apertura: Racing Club' }]},
        { name: '2000', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: River Plate' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '1999', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Boca Juniors' }, { subName: 'SubBubbles1', subId: 'Apertura: River Plate' }]},
        { name: '1998', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Vélez Sarsfield' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '1997', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: River Plate' }, { subName: 'SubBubbles1', subId: 'Apertura: River Plate' }]},
        { name: '1996', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Vélez Sarsfield' }, { subName: 'SubBubbles1', subId: 'Apertura: River Plate' }]},
        { name: '1995', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: San Lorenzo de Almagro' }, { subName: 'SubBubbles1', subId: 'Apertura: Vélez Sarsfield' }]},
        { name: '1994', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Independiente' }, { subName: 'SubBubbles1', subId: 'Apertura: River Plate' }]},
        { name: '1993', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Vélez Sarsfield' }, { subName: 'SubBubbles1', subId: 'Apertura: River Plate' }]},
        { name: '1992', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Clausura: Newell´s Old Boys' }, { subName: 'SubBubbles1', subId: 'Apertura: Boca Juniors' }]},
        { name: '1991', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Apertura: River Plate' }]},
        { name: '1990/91', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Newell´s Old Boys' }]},
        { name: '1989/90', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1988/89', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Independiente' }]},
        { name: '1986/87', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Rosario Central' }]},
        { name: '1985/86', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1985', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Nacional: Argentinos Juniors' }]},
        { name: '1984', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Argentinos Juniors' }, { subName: 'SubBubbles1', subId: 'Nacional: Ferro Carril Oeste' }]},
        { name: '1983', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Independiente' }, { subName: 'SubBubbles1', subId: 'Nacional: Estudiantes de La Plata' }]},
        { name: '1982', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Estudiantes de La Plata' }, { subName: 'SubBubbles1', subId: 'Nacional: Ferro Carril Oeste' }]},
        { name: '1981', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Boca Juniors' }, { subName: 'SubBubbles1', subId: 'Nacional: River Plate' }]},
        { name: '1980', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: River Plate' }, { subName: 'SubBubbles1', subId: 'Nacional: Rosario Central' }]},
        { name: '1979', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: River Plate' }, { subName: 'SubBubbles1', subId: 'Nacional: River Plate' }]},
        { name: '1978', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Quilmes' }, { subName: 'SubBubbles1', subId: 'Nacional: Independiente' }]},
        { name: '1977', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: River Plate' }, { subName: 'SubBubbles1', subId: 'Nacional: Independiente' }]},
        { name: '1976', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Boca Juniors' }, { subName: 'SubBubbles1', subId: 'Nacional: Boca Juniors' }]},
        { name: '1975', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: River Plate' }, { subName: 'SubBubbles1', subId: 'Nacional: River Plate' }]},
        { name: '1974', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Newell´s Old Boys' }, { subName: 'SubBubbles1', subId: 'Nacional: San Lorenzo de Almagro' }]},
        { name: '1973', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Huracán' }, { subName: 'SubBubbles1', subId: 'Nacional: Rosario Central' }]},
        { name: '1972', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: San Lorenzo de Almagro' }, { subName: 'SubBubbles1', subId: 'Nacional: San Lorenzo de Almagro' }]},
        { name: '1971', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Independiente' }, { subName: 'SubBubbles1', subId: 'Nacional: Rosario Central' }]},
        { name: '1970', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Independiente' }, { subName: 'SubBubbles1', subId: 'Nacional: Boca Juniors' }]},
        { name: '1969', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Chacarita Juniors' }, { subName: 'SubBubbles1', subId: 'Nacional: Boca Juniors' }]},
        { name: '1968', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: San Lorenzo de Almagro' }, { subName: 'SubBubbles1', subId: 'Nacional: Vélez Sarsfield' }]},
        { name: '1967', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Metropolitano: Estudiantes de La Plata' }, { subName: 'SubBubbles1', subId: 'Nacional: Independiente' }]},
        { name: '1966', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Racing Club' }]},
        { name: '1965', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1964', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1963', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Independiente' }]},
        { name: '1962', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1961', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Racing Club' }]},
        { name: '1960', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Independiente' }]},
        { name: '1959', id: 1, items: [{ subName: 'SubBubbles1', subId: 'San Lorenzo de Almagro' }]},
        { name: '1958', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Racing Club' }]},
        { name: '1957', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1956', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1955', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1954', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1953', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1952', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1951', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Racing Club' }]},
        { name: '1950', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Racing Club' }]},
        { name: '1949', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Racing Club' }]},
        { name: '1948', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Independiente' }]},
        { name: '1947', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1946', id: 1, items: [{ subName: 'SubBubbles1', subId: 'San Lorenzo de Almagro' }]},
        { name: '1945', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1944', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1943', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1942', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1941', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1940', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1939', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Independiente' }]},
        { name: '1938', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Independiente' }]},
        { name: '1937', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1936', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Copa de Honor: San Lorenzo de Almagro' }, { subName: 'SubBubbles1', subId: 'Copa Campeonato: River Plate' },   { subName: 'SubBubbles1', subId: 'Copa de Oro: River Plate' }]},
        { name: '1935', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1934', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
        { name: '1933', id: 1, items: [{ subName: 'SubBubbles1', subId: 'San Lorenzo de Almagro' }]},
        { name: '1932', id: 1, items: [{ subName: 'SubBubbles1', subId: 'River Plate' }]},
        { name: '1931', id: 1, items: [{ subName: 'SubBubbles1', subId: 'Boca Juniors' }]},
      ];
      
      
      /*
       * if given group is the selected group, deselect it
       * else, select the given group
       */
      $scope.toggleGroup = function(group) {
        if ($scope.isGroupShown(group)) {
          $scope.shownGroup = null;
        } else {
          $scope.shownGroup = group;
        }
      };
      $scope.isGroupShown = function(group) {
        return $scope.shownGroup === group;
      };
      
    })

    .filter('favoriteFilter', function () {
              // Fist parameter is the array which is going to be filtered.
            // Second parameter is the argument needed for the filtering.
        return function (equipos, favorites) {
          // console.log("equipos");console.log(equipos);
          // console.log("favorites");console.log(favorites);
            var out = [];
            // For every item in favorites array which has the favorite dishes ids.
                  // Check if favorite dish id matches dish id, and if true 
                  // insert it in out array
            for (var i = 0; i < favorites.length; i++) {
                for (var j = 0; j < equipos.length; j++) {
                    if (equipos[j].id == favorites[i].id)
                        out.push(equipos[j]);
                }
            }
            // console.log("Out is");
            // console.log(out);
            return out;

        }
      });



